package co.yixiang.yshop.module.order.convert.rechargeconfig;

import java.util.*;

import co.yixiang.yshop.framework.common.pojo.PageResult;

import co.yixiang.yshop.module.order.dal.dataobject.rechargepackage.RechargePackageDO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import co.yixiang.yshop.module.order.controller.admin.rechargeconfig.vo.*;
import co.yixiang.yshop.module.order.dal.dataobject.rechargeconfig.RechargeConfigDO;

/**
 * 充值配置 Convert
 *
 * @author admin
 */
@Mapper
public interface RechargeConfigConvert {

    RechargeConfigConvert INSTANCE = Mappers.getMapper(RechargeConfigConvert.class);

    RechargeConfigDO convert(RechargeConfigCreateReqVO bean);

    RechargeConfigDO convert(RechargeConfigUpdateReqVO bean);

    RechargeConfigRespVO convert(RechargeConfigDO bean);

    RechargeAllConfigVO convert02(RechargeConfigDO bean);

    List<RechargeConfigRespVO> convertList(List<RechargeConfigDO> list);

    PageResult<RechargeConfigRespVO> convertPage(PageResult<RechargeConfigDO> page);

    List<RechargeConfigExcelVO> convertList02(List<RechargeConfigDO> list);

}
